/// <reference types="node" />
/// <reference types="node" />
/// <reference types="node" />
import { Transform, TransformOptions } from 'stream';
interface HeaderHostTransformerOptions extends TransformOptions {
    host?: string;
}
declare class HeaderHostTransformer extends Transform {
    private host;
    private replaced;
    constructor(opts?: HeaderHostTransformerOptions);
    _transform(data: Buffer | string, encoding: string, callback: (error?: Error | null, data?: any) => void): void;
}
export default HeaderHostTransformer;
